## nvidia-cuda-toolkit 10.1.105

=== extras/CUPTI/sample/openacc_trace/Makefile ===
#
# Copyright 2015-2018 NVIDIA Corporation. All rights reserved
#

# CUPTI OpenACC support is only available on Linux x86_64 and ppc64le.

# This sample requires PGI compiler version 18.1 or later.
# Point to your PGI OpenACC installation's include directory.
# PGI compiler must be in PATH.
OPENACC_INCLUDE_PATH =

HOST_ARCH := $(shell uname -m)

INCLUDES += -I../../include
INCLUDES += -I../../../../include
INCLUDES += -I$(OPENACC_INCLUDE_PATH)

PGCPP       = pgc++
PGCPP_FLAGS = -acc -ta=nvidia:cuda9.1 -Mcuda=nordc -pgf90libs
ifneq ($(HOST_ARCH),ppc64le)
        PGCPP_FLAGS += -tp=p7 -mp=nonuma
else
        PGCPP_FLAGS += -DHOST_ARCH_PPC=1
endif

export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib64
TRACE_LIB = libopenacc_trace.so

all: openacc_app

$(TRACE_LIB): openacc_trace.cpp
	$(PGCPP) $(INCLUDES) -DCUPTI_DIRECTIVE_SUPPORT -fPIC -shared -o $@ $<

openacc_app: $(TRACE_LIB) openacc_app.cpp
	$(PGCPP) $(INCLUDES) $(PGCPP_FLAGS)         \
	-L. -L../../lib64  -lopenacc_trace -lcupti  \
	-o $@ $^

run: $(TRACE_LIB) openacc_app
	ACC_PROFLIB=$(TRACE_LIB) ./openacc_app

clean:
	rm -f $(TRACE_LIB) openacc_app

=== debian/changelog ===
nvidia-cuda-toolkit (10.1.105-0ubuntu1) disco; urgency=medium

  [ Graham Inggs ]
  * Sync with 10.1.105-1 from Debian binNEW (LP: #1821792)

  [ Andreas Beckmann ]
  * New upstream release 10.1 (Feb 2019).  (Closes: #924488)
  * Repack the upstream *.run files and keep only the toolkit, dropping driver
    and (not redistributable) samples.
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 10.0 => 10.1, rename core library packages.
  * SOVERSION change: 10.0 => 10, rename application library packages.
  * libcublaslt10: New package for the cuBLASLt library.
  * nsight-systems: New package for NVIDIA Nsight Systems.
  * Add gcc-8 and clang-7 as supported compiler alternatives.
  * Install new/renamed/moved/... files.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 08:36:18 +0000

=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Graham Inggs <ginggs@debian.org>,
 Zhou Mo <cdluminate@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 quilt,
 libncurses5,
 libexpat1 [ppc64el],
 hardlink [amd64],
# for nsight-compute
 libglvnd-dev [!ppc64el],
 libnspr4-dev [!ppc64el],
 libnss3-dev [!ppc64el],
 libpulse-dev [!ppc64el],
 chrpath [!ppc64el],
# for nsight-systems
 libice6 [!ppc64el],
 libsm6 [!ppc64el],
# for nvidia-openjdk-8-jre
 libasound2 [amd64],
 libgl1 [amd64],
 libgtk2.0-0 [amd64],
 libxslt1.1 [amd64],
 libxtst6 [amd64],
 libxxf86vm1 [amd64],
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://developer.nvidia.com/cuda-zone
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 nvidia-profiler (= ${binary:Version}),
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
 gcc-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
 g++-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}) [${cuda:arch:has-java}],
 nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
 nsight-systems (= ${binary:Version}) [${cuda:arch:has-nsight-systems}],
Suggests:
 libcupti-dev,
 nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
Conflicts:
# packages from the repository packages provided by NVIDIA
 cuda-repo-ubuntu1404,
 cuda-repo-ubuntu1404-7-5-local,
 cuda-repo-ubuntu1410,
 cuda-repo-ubuntu1504,
 cuda-repo-ubuntu1504-7-5-local,
 cuda-license-7-5,
Description: NVIDIA CUDA development toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler and other tools needed for building
 CUDA applications.
 .
 Running CUDA applications requires a supported NVIDIA GPU and the NVIDIA
 driver kernel module.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends:
 libjs-html5shiv,
 libjs-jquery,
 ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: amd64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Description: NVIDIA CUDA Debugger (GDB)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-profiler
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 libaccinj64-${cudart:SoVersion},
 libcuinj64-${cudart:SoVersion},
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-cuda-toolkit,
Description: NVIDIA Profiler for CUDA and OpenCL
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the nvprof profiler.

Package: nvidia-openjdk-8-jre
Section: non-free/java
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA provided OpenJDK Java runtime, using Hotspot JIT
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using Hotspot JIT.
 .
 This package provides the openjdk-8 binaries shipped with the
 NVIDIA CUDA Toolkit, this obsolete version is needed for
 nvidia-visual-profiler and nvidia-nsight.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 nvidia-profiler (= ${binary:Version}),
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler for CUDA and OpenCL
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-nsight
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/cuda/nsight-eclipse-edition
Description: NVIDIA Nsight Eclipse Edition
 NVIDIA Nsight Eclipse Edition is a full-featured IDE powered by the Eclipse
 platform that provides an all-in-one integrated environment to edit, build,
 debug and profile CUDA-C applications.
 Nsight Eclipse Edition supports a rich set of commercial and free plugins.

Package: nsight-compute
Section: non-free/devel
Architecture: amd64
Depends:
 libjs-html5shiv,
 libjs-jquery,
 ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/nsight-compute
Description: NVIDIA Nsight Compute
 NVIDIA Nsight Compute is an interactive kernel profiler for CUDA applications.
 It provides detailed performance metrics and API debugging via a user
 interface and command line tool. In addition, its baseline feature allows
 users to compare results within the tool. Nsight Compute provides a
 customizable and data-driven user interface and metric collection and can be
 extended with analysis scripts for post-processing results.

Package: nsight-systems
Section: non-free/devel
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/nsight-systems
Description: NVIDIA Nsight Systems
 NVIDIA Nsight Systems is a system-wide performance analysis tool designed to
 visualize an application’s algorithms, help you identify the largest
 opportunities to optimize, and tune to scale efficiently across any quantity
 or size of CPUs and GPUs; from large server to smallest SoCs.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Depends:
 libcudart${cudart:SoVersion} (= ${binary:Version}),
 libaccinj64-${cudart:SoVersion} (= ${binary:Version}),
 libcuinj64-${cudart:SoVersion} (= ${binary:Version}),
 libnvrtc${cudart:SoVersion} (= ${binary:Version}),
 libnvtoolsext1 (= ${binary:Version}),
 libnvvm3 (= ${binary:Version}),
 libcublas${cuda:SoVersion} (= ${binary:Version}),
 libcublaslt${cuda:SoVersion} (= ${binary:Version}),
 libnvblas${cuda:SoVersion} (= ${binary:Version}),
 libcufft${cuda:SoVersion} (= ${binary:Version}),
 libcufftw${cuda:SoVersion} (= ${binary:Version}),
 libcurand${cuda:SoVersion} (= ${binary:Version}),
 libcusolver${cuda:SoVersion} (= ${binary:Version}),
 libcusparse${cuda:SoVersion} (= ${binary:Version}),
 libnppc${cuda:SoVersion} (= ${binary:Version}),
 libnppial${cuda:SoVersion} (= ${binary:Version}),
 libnppicc${cuda:SoVersion} (= ${binary:Version}),
 libnppicom${cuda:SoVersion} (= ${binary:Version}),
 libnppidei${cuda:SoVersion} (= ${binary:Version}),
 libnppif${cuda:SoVersion} (= ${binary:Version}),
 libnppig${cuda:SoVersion} (= ${binary:Version}),
 libnppim${cuda:SoVersion} (= ${binary:Version}),
 libnppist${cuda:SoVersion} (= ${binary:Version}),
 libnppisu${cuda:SoVersion} (= ${binary:Version}),
 libnppitc${cuda:SoVersion} (= ${binary:Version}),
 libnpps${cuda:SoVersion} (= ${binary:Version}),
 libnvgraph${cuda:SoVersion} (= ${binary:Version}),
 libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
 libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
 libthrust-dev,
 ${misc:Depends}
Recommends:
 ${package:libcuda1},
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
 libnvcuvid1,
Breaks:
 libcuda1 (<< ${nvidia:MinVersion}),
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Multi-Arch: same
Depends:
 ocl-icd-opencl-dev,
 ${misc:Depends}
Recommends:
 nvidia-opencl-icd,
Breaks:
 nvidia-libopencl1 (>> 0),
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${package:libcuda1}
Provides:
 no-libcuda1 [${cuda:arch:has-no-driver}],
Description: NVIDIA CUDA Runtime Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Runtime API library for high-level CUDA
 programming, on top of the CUDA Driver API.

Package: libaccinj64-10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA ACCINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 ACCINJ is the OpenACC internal library for profiling.
 .
 This package contains the 64-bit ACCINJ runtime library.

Package: libcuinj64-10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 CUINJ is the CUDA internal library for profiling.
 .
 This package contains the 64-bit CUINJ runtime library.

Package: libnvrtc10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUDA Runtime Compilation (NVIDIA NVRTC Library)
 CUDA Runtime Compilation library (nvrtc) provides an API to compile
 CUDA-C++ device source code at runtime.
 .
 The resulting compiled PTX can be launched on a GPU using the CUDA
 Driver API.
 .
 This package contains the NVRTC library.

Package: libnvtoolsext1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://docs.nvidia.com/gameworks/content/gameworkslibrary/nvtx/nvidia_tools_extension_library_nvtx.htm
Description: NVIDIA Tools Extension Library
 The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

VENDOR			?= $(call dpkg_late_eval,VENDOR,dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)


include debian/rules.defs
CUDA_ARCH_LIST		?= amd64
CUDA_PATCH_LIST		?=
CUDA_PATCH_LIST_ARCH	?= $(patsubst $(DEB_HOST_ARCH)-%,%,$(filter $(DEB_HOST_ARCH)-%,$(CUDA_PATCH_LIST)))
CUDA_ARCH_LIST_NO_DRIVER?=
CUDA_ARCH_LIST_NO_JAVA	?=
CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
version_driver		 = $(CUDA_VERSION_DRIVER.$(DEB_HOST_ARCH))
watch_url		 = $(CUDA_WATCH_URL)
PACKAGE_LIST		:= $(shell dh_listpackages)
THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/include/thrust/version.h)),$(error empty THRUST_VERSION))
OPENJDK_VERSION		?= $(or $(strip $(shell nvidia-cuda/jre/bin/java -version 2>&1 | sed -rn '1s/.*"1\.([0-9]*)\.0_(.*)"/\1u\2/p')),$(error empty OPENJDK_VERSION))
CUDA_JAVA_HOME		?= /usr/lib/jvm/nvidia-java-8-openjdk-$(DEB_HOST_ARCH)
jre_pkg			?= $(filter nvidia-openjdk-8-jre,$(PACKAGE_LIST))
thrust_pkg		?= $(filter libthrust-dev,$(PACKAGE_LIST))
nsight_compute_pkg	?= $(filter nsight-compute,$(PACKAGE_LIST))
nsight_systems_pkg	?= $(filter nsight-systems,$(PACKAGE_LIST))

package_libcuda1 \
	= libcuda1 (>= $${nvidia:MinVersion}) \
	| libcuda-$${cudart:SoVersion}-1
#ifeq ($(VENDOR),Ubuntu)
package_libcuda1	+= | no-libcuda1 [$${cuda:arch:has-no-driver}]
#endif

# system libdir
libdir			 = usr/lib/$(DEB_HOST_MULTIARCH)

TEMPLATES	:= $(wildcard debian/*.in debian/patches/*.in)
SOVERTEMPLATES	:= $(wildcard debian/*SOVER*)
RTSOVERTEMPLATES:= $(wildcard debian/*SORTVER*)
AUTOGEN		+= $(patsubst %.in,%,$(TEMPLATES))
AUTOGEN		+= $(subst SOVER,$(CUDA_SOVERSION),$(sort $(patsubst %.in,%,$(SOVERTEMPLATES))))
AUTOGEN		+= $(subst SORTVER,$(CUDART_SOVERSION),$(sort $(patsubst %.in,%,$(RTSOVERTEMPLATES))))
AUTOGEN		+= debian/g++
AUTOKEEP	 = debian/watch
AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
AUTOCLEAN	+= debian/shlibs.local


.PHONY: autogen prepare
autogen: $(AUTOGEN)
prepare: autogen unpack-stamp compare-copyright-license


# deep copy, files will get irreversibly modified via hardlinks in the build target
define nvidia-cuda-unpack-repack
	dh_testdir
	$(RM) -r $@ $@.tmp
	cp -a $1 $@
endef

define nvidia-cuda-unpack-run
	dh_testdir
	$(RM) -r $@ $@.tmp
	sh $(CUDA_FILENAME.$1) --noexec --keep --target $@.tmp
	mv $@.tmp $@
endef

define nvidia-cuda-unpack-deb
	dh_testdir
	$(RM) -r $@ $@.tmp
	mkdir $@.tmp
	@set -e -x ; for deb in $1/cuda*.deb ; do dpkg -x $$deb $@.tmp/ubuntutree ; done
	mv $@.tmp/ubuntutree/usr/local/cuda*/* $@.tmp/
	$(RM) -r $@.tmp/ubuntutree/usr/lib/pkgconfig
	$(RM) -r $@.tmp/ubuntutree/usr/share/doc
	$(RM) -r $@.tmp/ubuntutree/usr/share/lintian
	$(RM) -v $@.tmp/ubuntutree/etc/ld.so.conf.d/cuda-$(subst .,-,$(CUDART_SOVERSION)).conf
	$(RM) -v $@.tmp/bin/computeprof
	$(RM) -v $@.tmp/LICENSE
	$(RM) -v $@.tmp/README
	mv $@.tmp/doc/EULA.txt $@.tmp/
	$(RM) $@.tmp/include $@.tmp/lib64
	mv $@.tmp/targets/ppc64le-linux/include $@.tmp/include
	mv $@.tmp/targets/ppc64le-linux/lib $@.tmp/lib64
	mv $@.tmp $@
endef

nvidia-cuda-tree-%:
	$(call nvidia-cuda-unpack-$(CUDA_TAR_TYPE.$*),$*)

unpack-stamp: $(filter debian/patches%,$(AUTOGEN))
unpack-stamp: nvidia-cuda-tree-$(DEB_HOST_ARCH)
	$(RM) nvidia-cuda
	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

# Reformat the EULA to the format needed for debian/copyright.
nvidia-cuda/EULA.txt: unpack-stamp
EULA.fmt: nvidia-cuda/EULA.txt
	cat $< \
		| fromdos | fromdos | expand \
		| iconv -f UTF-8 -t latin1//TRANSLIT \
		| fold -s -w 80 \
		| sed -e 's/ *$$//;s/^$$/./;s/^/ /;' \
		> $@

# Compare the license in debian/copyright with the EULA shipped in the archive.
compare-copyright-license: EULA.fmt
	sed -e '1,/^License: other-NVIDIA-CUDA-TOOLKIT/d; /^$$/,$$d; /^ .$$/d' debian/copyright > copyright.tmp
	sed -e '/^ .$$/d' EULA.fmt > EULA.tmp
	diff -w copyright.tmp EULA.tmp
	rm -f copyright.tmp EULA.tmp


.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install
binary-arch build build-arch build-indep clean install:
	dh $@

binary binary-indep:
	# the documentation packages must be built on amd64 (otherwise some parts are missing)
	test "$(DEB_HOST_ARCH)" = "amd64"
	dh $@

build-stamp: unpack-stamp
	$(RM) -r build
	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/NsightCompute
	test ! -d build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) || mv build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) build/NsightSystems
	# fix permissions
	chmod -x build/bin/crt/link.stub
	chmod -x build/bin/crt/prelink.stub
	chmod -x build/libnvvp/*.xpm
	chmod -x build/libnsight/*.xpm
	chmod -x build/nvvm/include/*.h
	chmod -x build/nvvm/libnvvm-samples/build.bat
	# remove java path
	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' build/libnvvp/nvvp.ini build/libnsight/nsight.ini
ifneq (,$(jre_pkg))
	# these depend on libraries from oldoldstable
	$(RM) -v build/jre/lib/amd64/libavplugin-53.so
	$(RM) -v build/jre/lib/amd64/libavplugin-54.so
endif
	# uuid(3) is already provided by uuid-dev
	mv -v build/doc/man/man3/uuid.3 build/doc/man/man3/CUDA_uuid.3
	# remove tracking scripts
	find build \( -name google-analytics-tracker.js -o -name google-analytics-write.js -o -name tynt.js \) -exec rm -v {} +
	# remove tracking images
	@set -e -x ; for dir in \
		build/doc/html \
		build/NsightCompute/docs \
		build/extras/CUPTI/doc/html \
		build/extras/Sanitizer/docs \
	; do test ! -d $$dir || find $$dir \
	    -name '*.html' -exec sed -r -i \
		-e '\,http://omniture.nvidia.com/b/ss/nvidiacudadocs/1/H.17--NS/0, { s,(<noscript>),<!-- \1,; s,img src,img DISABLED,; s,(</noscript>),\1 -->, }' \
		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		-e 's,(<script type="text/javascript" charset="utf-8" )src(="//assets.adobedtm.com/b92787824f2e0e9b68dc2e993f9bd995339fe417/satelliteLib-7ba51e58dc61bcb0e9311aadd02a0108ab24cc6c.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		{} + ; \
	done
	find \
		build/libnsight \
		build/libnvvp \
	    -name 'license.html' -exec sed -r -i \
		-e 's,(<script type="text/javascript" )src(="http://w.sharethis.com/button/buttons.js"[^>]*></script>),<!-- \1DISABLED\2 -->,' \
		{} +
	# replace embedded javascript libraries
	find build -name html5shiv-printshiv.min.js -exec ln -sfv /usr/share/javascript/html5shiv/html5shiv-printshiv.min.js {} \;
	find build -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
	find build -name jquery.min.js -exec ln -sfv /usr/share/javascript/jquery/jquery.min.js {} \;
	# reduce 'dh_missing --list-missing' noise
	@set -e -x ; for dir in build/include build/lib64 ; do if [ -h "$$dir" ] ; then target=$$(readlink -f $$dir) ; $(RM) $$dir ; mv -v $$target $$dir ; fi ; done
	$(RM) -rv build/NsightCompute/target/$(NSIGHT_COMPUTE_DESKTOP_DIR.i386)/
ifeq ($(DEB_HOST_ARCH),ppc64el)
	# that's an amd64 jre
	$(RM) -r build/jre
endif
	# remove empty directories
	find build -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
	# split arch and indep eclipse plugins
	mkdir build/libnsight/plugins-arch
	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
	mkdir build/libnvvp/plugins-arch
	mv build/libnvvp/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnvvp/plugins-arch/
ifneq (,$(nsight_compute_pkg))

## nvidia-cuda-toolkit 10.1.168

=== extras/CUPTI/samples/extensions/src/profilerhost_util/Makefile ===
#
# Copyright 2011-2018 NVIDIA Corporation. All rights reserved
# 
INCLUDES = -I../../../../include -I../../../../../../include -I../../include/profilerhost_util -I../../include/c_util

ifndef OS
 OS   := $(shell uname)
 HOST_ARCH := $(shell uname -m)
endif

TARGET_ARCH ?= $(HOST_ARCH)
TARGET_OS ?= linux

# Set required library paths. 
# In the case of cross-compilation, set the libs to the correct ones under /usr/local/cuda/targets/<TARGET_ARCH>-<TARGET_OS>/lib

ifeq ($(OS), Windows_NT)
    LIB_PATH ?= ..\..\lib64
else
    ifneq ($(TARGET_ARCH), x86_64)
        LIB_PATH ?= ../../../../../../targets/$(TARGET_ARCH)-$(TARGET_OS)/lib
        TARGET_CUDALIB_STUB_PATH = -L $(LIB_PATH)/stubs
    else
        EXTRAS_LIB_PATH := ../../../../lib64
        LIB_PATH ?= ../../../../../../lib64
    endif
endif

ifeq ($(OS), Windows_NT)
    export PATH := $(PATH):../../../../lib/x64
    LIBS = -lcuda -L $(LIB_PATH) -lnvperf_host -lnvperf_target
    OBJ = obj
    LIBEXT = lib
    LIBPREFIX =
else
	NVCC_FLAGS= --std=c++11
    ifeq ($(OS), Darwin)
        export DYLD_LIBRARY_PATH := $(DYLD_LIBRARY_PATH):../../lib/x64
        LIBS = -Xlinker -framework -Xlinker cuda -L ../../../../lib/x64 -lnvperf_host -lnvperf_target
    else
        LIBS :=
        ifeq ($(HOST_ARCH), $(TARGET_ARCH))
            export LD_LIBRARY_PATH := $(LD_LIBRARY_PATH):../../lib/x64    
            LIBS = -L $(EXTRAS_LIB_PATH)
        endif
        LIBS += $(TARGET_CUDALIB_STUB_PATH) -lcuda -L $(LIB_PATH) -lnvperf_host -lnvperf_target
    endif
    OBJ = o
    LIBEXT = a
    LIBPREFIX = lib
endif

# Point to the necessary cross-compiler.

ifneq ($(TARGET_ARCH), $(HOST_ARCH))
    ifeq ($(TARGET_ARCH), aarch64)
        ifeq ($(TARGET_OS), linux)
            HOST_COMPILER ?= aarch64-linux-gnu-g++
        else ifeq ($(TARGET_OS), qnx)
            ifeq ($(QNX_HOST),)
                $(error ERROR - QNX_HOST must be passed to the QNX host toolchain)
            endif
            ifeq ($(QNX_TARGET),)
                $(error ERROR - QNX_TARGET must be passed to the QNX target toolchain)
            endif
            HOST_COMPILER ?= $(QNX_HOST)/usr/bin/aarch64-unknown-nto-qnx7.0.0-g++
        endif
    endif

    ifdef HOST_COMPILER
        NVCC_COMPILER = -ccbin $(HOST_COMPILER)
    endif
endif

$(LIBPREFIX)profilerHostUtil.$(LIBEXT): List.$(OBJ) Metric.$(OBJ) Eval.$(OBJ)
	nvcc $(NVCC_COMPILER) -o $@ -lib $^ $(LIBS)

List.$(OBJ): List.cpp
	nvcc $(NVCC_COMPILER) -c $(NVCC_FLAGS) $(INCLUDES) $<

Metric.$(OBJ): Metric.cpp
	nvcc $(NVCC_COMPILER) -c $(NVCC_FLAGS) $(INCLUDES) $<

Eval.$(OBJ): Eval.cpp
	nvcc $(NVCC_COMPILER) -c $(NVCC_FLAGS) $(INCLUDES) $<

clean:
ifeq ($(OS),Windows_NT)
	del $(LIBPREFIX)profilerHostUtil.$(LIBEXT) List.$(OBJ) Metric.$(OBJ) Eval.$(OBJ)
else
	rm -f $(LIBPREFIX)profilerHostUtil.$(LIBEXT) List.$(OBJ) Metric.$(OBJ) Eval.$(OBJ)
endif

=== debian/changelog ===
nvidia-cuda-toolkit (10.1.168-7) unstable; urgency=medium

  * Adjust dependencies for the packaged tesla driver rename to tesla-418.
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2020 21:59:47 +0100

nvidia-cuda-toolkit (10.1.168-6) unstable; urgency=medium

  * nvcc.profile: Append -L/usr/lib/<triplet> to the LIBRARIES variable,
    thanks to Eyal Rozenberg.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Dec 2019 01:10:59 +0100

nvidia-cuda-toolkit (10.1.168-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * nvidia-cuda-dev: Depend on libcupti-dev, thanks to Gengyu Rao.
  * man-typos.patch: Fix more misspellings.
  * Make libnvidia-ml-dev installable on Ubuntu/ppc64el w/o driver.
  * Update Lintian overrides.

  [ Graham Inggs ]
  * [Ubuntu] Add build dependencies on libxi6 and libasound2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Dec 2019 14:43:31 +0100

nvidia-cuda-toolkit (10.1.168-4) unstable; urgency=medium

  * Split out libnvidia-ml-dev as a separate package.
  * libnvjpeg10 is available for ppc64el, too.
  * Refresh Build-Depends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Dec 2019 22:07:12 +0100

nvidia-cuda-toolkit (10.1.168-3) unstable; urgency=medium

  * Fix tesla driver dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Nov 2019 19:41:47 +0100

nvidia-cuda-toolkit (10.1.168-2) unstable; urgency=medium

  * Add support for the packaged tesla driver.
  * Remove Zhou Mo from Uploaders, thanks for all your work! (Closes: #942267)
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Update Lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Nov 2019 13:47:11 +0100

nvidia-cuda-toolkit (10.1.168-1) experimental; urgency=medium

  [ Graham Inggs ]
  * New upstream release 10.1 Update 1 (May 2019).  (Closes: #930365)
  * d/copyright: Synchronize with updated EULA.txt.
  * Add clang-8 as supported compiler alternative.
  * nsight-systems: Ship new documentation.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2019 14:22:01 +0200

nvidia-cuda-toolkit (10.1.105-3) unstable; urgency=medium

  * Stop building libthrust-dev. It is provided by a separate source package
    in main, again.  (Closes: #923689)
  * d/rules{,.defs}: Distinguish between minimal and bundled driver version.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Aug 2019 13:58:15 +0200

nvidia-cuda-toolkit (10.1.105-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0 (no changes needed).
  * man-typos.patch: Fix more misspellings.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Jul 2019 11:07:56 +0200

nvidia-cuda-toolkit (10.1.105-1) experimental; urgency=medium

  * New upstream release 10.1 (Feb 2019).  (Closes: #924488)
  * Repack the upstream *.run files and keep only the toolkit, dropping driver
    and (not redistributable) samples.
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 10.0 => 10.1, rename core library packages.
  * SOVERSION change: 10.0 => 10, rename application library packages.
  * libcublaslt10: New package for the cuBLASLt library.
  * nsight-systems: New package for NVIDIA Nsight Systems.
  * Add gcc-8 and clang-7 as supported compiler alternatives.
  * Install new/renamed/moved/... files.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Mar 2019 21:31:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: nvidia-cuda-toolkit
 Section: non-free/libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Graham Inggs <ginggs@debian.org>,
- Zhou Mo <cdluminate@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
  quilt,
+ chrpath,
+ hardlink,
+ libexpat1,
  libncurses5,
- libexpat1 [ppc64el],
- hardlink [amd64],
 # for nsight-compute
- libglvnd-dev [!ppc64el],
- libnspr4-dev [!ppc64el],
- libnss3-dev [!ppc64el],
- libpulse-dev [!ppc64el],
- chrpath [!ppc64el],
-# for nsight-systems
- libice6 [!ppc64el],
- libsm6 [!ppc64el],
+ libasound2 [!ppc64el],
+ libdbus-1-3 [!ppc64el],
+ libegl1 [!ppc64el],
+ libfontconfig1 [!ppc64el],
+ libgl1 [!ppc64el],
+ libnss3 [!ppc64el],
+ libpulse-mainloop-glib0 [!ppc64el],
+ libxcomposite1 [!ppc64el],
+ libxcursor1 [!ppc64el],
+ libxi6 [!ppc64el],
+ libxrandr2 [!ppc64el],
+ libxtst6 [!ppc64el],
 # for nvidia-openjdk-8-jre
- libasound2 [amd64],
- libgl1 [amd64],
  libgtk2.0-0 [amd64],
  libxslt1.1 [amd64],
- libxtst6 [amd64],
- libxxf86vm1 [amd64],
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://developer.nvidia.com/cuda-zone
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
@@ -43,8 +42,8 @@
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- gcc-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
- g++-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
+ gcc-8 | clang-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
+ g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
@@ -53,8 +52,8 @@
  nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
  nsight-systems (= ${binary:Version}) [${cuda:arch:has-nsight-systems}],
 Suggests:
- libcupti-dev,
- nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
+ nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}]
+ | nvidia-tesla-418-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-tesla-driver}],
 Conflicts:
 # packages from the repository packages provided by NVIDIA
  cuda-repo-ubuntu1404,
@@ -188,6 +187,8 @@
 Section: non-free/devel
 Architecture: amd64
 Depends:
+ libjs-jquery,
+ libjs-underscore,
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
@@ -227,8 +228,9 @@
  libnppitc${cuda:SoVersion} (= ${binary:Version}),
  libnpps${cuda:SoVersion} (= ${binary:Version}),
  libnvgraph${cuda:SoVersion} (= ${binary:Version}),
- libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
- libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
+ libnvjpeg${cuda:SoVersion} (= ${binary:Version}),
+ libcupti-dev (= ${binary:Version}),
+ libnvidia-ml-dev (= ${binary:Version}),
  libthrust-dev,
  ${misc:Depends}
 Recommends:
@@ -263,6 +265,27 @@
  .
  This metapackage provides the development files: headers and libraries.
 
+Package: libnvidia-ml-dev
+Section: non-free/libdevel
+Architecture: amd64 ppc64el
+Depends:
+ libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}]
+ | libnvidia-tesla-418-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-tesla-driver}]
+ | no-libcuda1 [${cuda:arch:has-no-driver}]
+ | libnvidia-ml.so.1 (>= ${nvidia:MinVersion}),
+ ${misc:Depends}
+Breaks:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Replaces:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Homepage: https://developer.nvidia.com/nvidia-management-library-NVML
+Description: NVIDIA Management Library (NVML) development files
+ The NVIDIA Management Library (NVML) provides a monitoring and management API.
+ It provides a direct access to the queries and commands exposed via nvidia-smi.
+ .
+ This package contains the header file and depends on the driver-provided
+ library.
+
 Package: libcudart10.1
 Architecture: amd64 ppc64el
 Multi-Arch: same
@@ -310,23 +333,3 @@
 
 Package: libnvrtc10.1
 Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: CUDA Runtime Compilation (NVIDIA NVRTC Library)
- CUDA Runtime Compilation library (nvrtc) provides an API to compile
- CUDA-C++ device source code at runtime.
- .
- The resulting compiled PTX can be launched on a GPU using the CUDA
- Driver API.
- .
- This package contains the NVRTC library.
-
-Package: libnvtoolsext1
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: https://docs.nvidia.com/gameworks/content/gameworkslibrary/nvtx/nvidia_tools_extension_library_nvtx.htm
-Description: NVIDIA Tools Extension Library
- The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,14 @@
 
 
 include debian/rules.defs
-CUDA_ARCH_LIST		?= amd64
-CUDA_PATCH_LIST		?=
-CUDA_PATCH_LIST_ARCH	?= $(patsubst $(DEB_HOST_ARCH)-%,%,$(filter $(DEB_HOST_ARCH)-%,$(CUDA_PATCH_LIST)))
-CUDA_ARCH_LIST_NO_DRIVER?=
-CUDA_ARCH_LIST_NO_JAVA	?=
+CUDA_ARCH_LIST			?= amd64
+CUDA_ARCH_LIST_NO_DRIVER	?=
+CUDA_ARCH_LIST_NO_TESLA_DRIVER	?=
+CUDA_ARCH_LIST_NO_JAVA		?=
 CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
 CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
-version_driver		 = $(CUDA_VERSION_DRIVER.$(DEB_HOST_ARCH))
+version_driver		 = $(CUDA_VERSION_DRIVER_MINIMAL.$(DEB_HOST_ARCH))
 watch_url		 = $(CUDA_WATCH_URL)
 PACKAGE_LIST		:= $(shell dh_listpackages)
 THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/include/thrust/version.h)),$(error empty THRUST_VERSION))
@@ -30,7 +29,9 @@
 nsight_systems_pkg	?= $(filter nsight-systems,$(PACKAGE_LIST))
 
 package_libcuda1 \
-	= libcuda1 (>= $${nvidia:MinVersion}) \
+	= libcuda1 (>= $${nvidia:MinVersion}) [$${cuda:arch:has-driver}] \
+	| libnvidia-tesla-cuda1 (>= $${nvidia:MinVersion}) [$${cuda:arch:has-tesla-driver}] \
+	| libcuda.so.1 (>= $${nvidia:MinVersion}) \
 	| libcuda-$${cudart:SoVersion}-1
 #ifeq ($(VENDOR),Ubuntu)
 package_libcuda1	+= | no-libcuda1 [$${cuda:arch:has-no-driver}]
@@ -130,14 +131,11 @@
 build-stamp: unpack-stamp
 	$(RM) -r build
 	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
-	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/NsightCompute
-	test ! -d build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) || mv build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) build/NsightSystems
+	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/nsight-compute
+	test ! -d build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) || mv build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) build/nsight-systems
 	# fix permissions
-	chmod -x build/bin/crt/link.stub
-	chmod -x build/bin/crt/prelink.stub
 	chmod -x build/libnvvp/*.xpm
 	chmod -x build/libnsight/*.xpm
-	chmod -x build/nvvm/include/*.h
 	chmod -x build/nvvm/libnvvm-samples/build.bat
 	# remove java path
 	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' build/libnvvp/nvvp.ini build/libnsight/nsight.ini
@@ -153,7 +151,7 @@
 	# remove tracking images
 	@set -e -x ; for dir in \
 		build/doc/html \
-		build/NsightCompute/docs \
+		build/nsight-compute/docs \
 		build/extras/CUPTI/doc/html \
 		build/extras/Sanitizer/docs \
 	; do test ! -d $$dir || find $$dir \
@@ -172,19 +170,21 @@
 	# replace embedded javascript libraries
 	find build -name html5shiv-printshiv.min.js -exec ln -sfv /usr/share/javascript/html5shiv/html5shiv-printshiv.min.js {} \;
 	find build -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
+	find build -name jquery-3.1.0.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
 	find build -name jquery.min.js -exec ln -sfv /usr/share/javascript/jquery/jquery.min.js {} \;
+	find build -name underscore.js -exec ln -sfv /usr/share/javascript/underscore/underscore.js {} \;
 	# reduce 'dh_missing --list-missing' noise
 	@set -e -x ; for dir in build/include build/lib64 ; do if [ -h "$$dir" ] ; then target=$$(readlink -f $$dir) ; $(RM) $$dir ; mv -v $$target $$dir ; fi ; done
-	$(RM) -rv build/NsightCompute/target/$(NSIGHT_COMPUTE_DESKTOP_DIR.i386)/
+	$(RM) -rv build/nsight-compute/target/$(NSIGHT_COMPUTE_DESKTOP_DIR.i386)/
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 	# that's an amd64 jre
 	$(RM) -r build/jre
+endif
+ifeq (,$(thrust_pkg))
+	# that's packaged separately
+	$(RM) -r build/include/thrust
 endif
 	# remove empty directories
 	find build -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
 	# split arch and indep eclipse plugins
 	mkdir build/libnsight/plugins-arch
-	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
-	mkdir build/libnvvp/plugins-arch
-	mv build/libnvvp/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnvvp/plugins-arch/
-ifneq (,$(nsight_compute_pkg))
